/**************************************************************************
 * descr - Text and description.
 * Version:     0.3.7 04/02/2006
 * File:        descr.h
 * Description: Description of the options.
 * Platform(s):	GNU/Linux, All
 * Author(s):	Della Bianca Giuseppe <bepi@adria.it><bepii@libero.it>
 *
 * Copyright (C) 2002-5 Della Bianca Giuseppe <bepi@adria.it><bepii@libero.it>
 * This file is part of GesConf.
 *
 * GesConf is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * GesConf is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with GesConf; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 **************************************************************************/
#ifndef _DESCR_H
#define _DESCR_H

#define DESCPRIG N_("Copyright (C) 2002-6 Della Bianca Giuseppe <bepi@adria.it><bepii@libero.it>\n" \
                    "gesconf is free software, it is under the GNU GPL License.")

#define DESSTD N_("Read the parameters of the options from the stdin.")
#define DESFILE N_("FILE Use file with single group or without group.")
#define DESFILEMULTI N_("FILE Use file with multi group.")
#define DESFILEXFREE N_("FILE Use file of configuration of XFREE/XORG.")
#define DESERRWARN N_("If action cause one error, is printed a warning and the action is jumped.")
#define DESERRIGNO N_("If action cause one error, the action is jumped.")
#define DESERRFORCE N_("If action cause one error, if possible the action is executed.")
#define DESLIST N_("[GRP [KEY | KEY STAT | KEY VAL STAT]] Print list of group/key that match to GRP KEY VAL STAT .")
#define DESGET N_("GRP KEY [VAL] Print the value of the key GRP KEY VAL .")
#define DESSETCOMM N_("GRP KEY [VAL] Change the key GRP KEY VAL in to comment.")
#define DESSET N_("GRP KEY {VALSET | VAL VALSET} Set the value of the key GRP KEY VAL to VALSET .")
#define DESDELCOMM N_("GRP VAL Delete the comment GRP VAL .")
#define DESDELETE N_("GRP KEY [VAL] Delete the group/key GRP KEY VAL .")
#define DESLOCK N_("GRP KEY [VAL] {U | L} Set the state of lock of the group/key.")
#define DESPARSEP N_("Set char used as print/input parameters separator and disable print delimitator.")
#define DESVALSEP N_("Set char used as value separator and enable one value for multy key.")
#define DESVERB N_("LEV Set level of verbosity and additional information.")

#define DESINFO N_("\n Status:\n" \
                   " I is one comment, G is one group, E is one end group, K is one key\n" \
		   " , g is one onlock group, k is one onlock key\n" \
                   " U is unlock, L is onlock\n" \
                   " U is unedit, M is modify, A is add, D is delete, C is changed in to comment\n" \
                   "   * match with all edit status (only for test)\n" \
                   "\n GRP is GRP or GRP1:GRP2:GRP3 ...\n" \
                   " GRP: match with all groups that start with GRP\n" \
                   " VAL is one value for match one multiple key. \n" \
                   "\n Level of verbosity:\n" \
                   " 1 print only GRP|VAL, 2 print only Status GRP|KEY VAL, 3 print all column\n" \
                   " , 4 print all column and the additional information.\n")

#endif // _DESCR_H
