/**************************************************************************
 * GesConf - Management configuration file.
 * Version:     0.3.7 05/02/2006
 * File:        GesConf.h
 * Description: It manages the configuration file.
 * Platform(s):	GNU/Linux, All
 * Author(s):	Della Bianca Giuseppe <bepi@adria.it><bepii@libero.it>
 *
 * Copyright (C) 2002-6 Della Bianca Giuseppe <bepi@adria.it><bepii@libero.it>
 * This file is part of GesConf.
 *
 * GesConf is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * GesConf is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with GesConf; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 **************************************************************************/
#ifndef _GESCONF_H
#define _GESCONF_H

#include "CommOpt.h"
#include "FileConf.h"

#define HEADKEY _("Status Group Key Values")    // head dei group/key

#define MAX_NUMPAR    4                // max num parameters for parameters stdin input

static int CheckOpt (int OptLNum, int StepNum);
static int ExeOpt (int OptLNum);
static int ExeOptStdin (struct _OptImp *ActOptL);
static int RunOpt (int OptLNum, struct _OptImp *ActListOpt);
static void PrintGrpKey (char *group, char *key, char *val, struct _StatRow *stat, char *OneKeyType);
static void PrintHead ();

#endif // _GESCONF_H
